> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Create embeddable agreement URL

POST https://demo.docusign.net/clickapi/v1/accounts/{accountId}/clickwraps/{clickwrapId}/agreements
Content-Type: application/json

Creates a unique URL for the elastic signing agreement
that you can embed in your application. The URL expires after one hour.

[Required authentication scopes](/docs/click-api/click101/auth/): `click.manage` and `click.send`.

The request must include at least the
`clientUserId`. This is a value that you
generate to identify the unique recipient
of the agreement.

If you are using a [dynamic content](/docs/click-api/click101/customize-elastic-template-fields/#add-dynamic-content-to-your-elastic-template) document,
you can supply the values in the `documentData`
property of the request, like this:

```json
{
  "clientUserId": "cl-bc7f-48a9",
  "documentData": {
    "fullName": "T. J. Fanning",
    "email": "tj@example.com",
    "company": "Fanning Industries",
    "title": "Cat wrangler",
    "date": "2022-10-13T05:17:14-07:00"
  }
}
```

A response looks like this.
The `agreementUrl` is unique to the user identified by the `clientUserId`.
Your user can open the URL to approve the agreement.
The `documentData` property appears only if you provided it in the request.

```json
{
  "accountId": "624e3e00-xxxx-xxxx-xxxx-43918c520dab",
  "clickwrapId": "0e64e4a7-xxxx-xxxx-xxxx-ce5a93b162af",
  "clientUserId": "tcl-bc7f-48a9j",
  "agreementId": "1f346c7d-xxxx-xxxx-xxxx-a5c968666785",
  "documents": [ . . .],
  "consumerDisclosureEnabled": true,
  "agreementUrl": "https://demo.docusign.net/clickapi/v1/redeem?agreementToken=AcTZT8g ... cxEqrUsA1lQ8DPPy05dE0",
  "createdOn": "2022-10-20T16:27:25.1287685Z",
  "status": "created",
  "versionId": "5957716d-xxxx-xxxx-xxxx-e1594f00ff12",
  "versionNumber": 1,
  "settings": {
    "displayName": "Agree with me",
    "hasDeclineButton": true,
    . . .
    "statementAlignment": "bottom"
  },
  "documentData": {
    "fullName": "T. J. Fanning",
    "email": "tj@example.com",
    "company": "Fanning Industries",
    "title": "Cat wrangler",
    "date": "2022-10-13T05:17:14-07:00"
  }
}
```

A successful response always includes
the following response. The response code
is different, depending on whether
the user has agreed:

| Response code | Meaning                  | Notes                                                             |
| ------------- | ------------------------ | ----------------------------------------------------------------- |
| 200           | User has agreed.         | The `agreementUrl` property does not appear in the response body. |
| 201           | User has not yet agreed. |                                                                   |

### Related topics

* [Add dynamic content to your elastic template](/docs/click-api/click101/customize-elastic-template-fields/#add-dynamic-content-to-your-elastic-template)
* [How to embed an elastic template](/docs/click-api/how-to/embed-elastic-templates/)

Reference: https://developers.docusign.com/docs/click-api/reference/accounts/clickwraps/createhasagreed

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://demo.docusign.net/clickapi` (Demo, default)
- `https://www.docusign.net/clickapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID GUID.
- `clickwrapId` (string, required) — The GUID of the elastic template.

### Body (application/json)

This endpoint expects an userAgreementRequest.

- `clientUserId` (string, optional) — A unique value that identifies a user. You can use anything that your system uses to identify unique users, such as employee IDs, email addresses, and surrogate keys as the value of `clientUserId`. A clickwrap with a specific `clientUserId` will not appear again once it has been accepted.
- `documentData` (map from string to string, optional) — This property specifies the data used to create an elastic template with [dynamic content](/docs/click-api/click101/customize-elastic-template-fields/#add-dynamic-content-to-your-elastic-template).
- `metadata` (string, optional) — A customer-defined string you can use in requests. This string will appear in the corresponding response.
- `returnUrl` (string, optional) — The URL to redirect to after the agreement is complete when the agreement is not rendered in an iframe.

## Response

### 201

Successful response.

- `accountId` (string, optional) — The external account number (int) or account ID GUID.
- `agreedOn` (UserAgreementResponseAgreedOn, optional) — Date that the client last completed the agreement. This property is null if `agreementUrl` is not null and `status` is not `agreed`.
- `agreementId` (string, optional) — The agreement ID.
- `agreementUrl` (string, optional) — When not null, an agreement is required for user specified by `clientUserId`. When missing the user specified by `clientUserId` has already agreed and does not require a new acceptance. Use this URL to render the agreement in a web page.
- `clickwrapId` (string, optional) — The GUID of the elastic template.
- `clientUserId` (string, optional) — A unique value that identifies a user. You can use anything that your system uses to identify unique users, such as employee IDs, email addresses, and surrogate keys as the value of `clientUserId`. An elastic signing agreement with a specific `clientUserId` will not appear again once it has been accepted.
- `consumerDisclosureEnabled` (boolean, optional) — **True** if consumer disclosure was required by this agreement.
- `consumerDisclosureHtml` (string, optional) — The customer-branded HTML with the Electronic Record and Signature Disclosure information
- `createdOn` (UserAgreementResponseCreatedOn, optional) — The date when the elastic template was created. May be null.
- `dataFields` (list of dataField, optional) — An array of `dataField` objects.
- `declinedOn` (UserAgreementResponseDeclinedOn, optional) — The date when the user declined the most recent required agreement. This property is valid only when `status` is `declined`. Otherwise it is null.
- `documentData` (map from string to string, optional) — This property specifies the data used to create an elastic template with [dynamic content](/docs/click-api/click101/customize-elastic-template-fields/#add-dynamic-content-to-your-elastic-template).
- `documents` (list of document, optional) — An array of documents.
- `metadata` (string, optional) — A customer-defined string you can use in requests. This string will appear in the corresponding response.
- `returnUrl` (string, optional) — The URL redirected to after the agreement was completed.
- `settings` (displaySettings, optional) — Information about how an agreement is displayed.
- `status` (string, optional) — User agreement status. One of: - `created` - `agreed` - `declined`
- `style` (UserAgreementResponseStyle, optional) — This property specifies the custom style provided when the agreement was created by [customizing the template appearance][]. [customizing the template appearance]: /docs/click-api/click101/customize-elastic-template-appearance/
- `version` (string, optional) — The human-readable semver version string.
- `versionId` (string, optional) — The ID of the version.
- `versionNumber` (integer, optional) — Human-readable version number. For example `1.2`.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The error code.
- `message` (string, optional) — The error message.

## Types

### UserAgreementResponseAgreedOn

Date that the client last completed the agreement. This property is null if `agreementUrl` is not null and `status` is not `agreed`.

### UserAgreementResponseCreatedOn

The date when the elastic template was created. May be null.

### dataField

Describes a single data field.

- `label` (string, optional) — The label of the datafield. This is the text that is displayed to the user.
- `name` (string, optional) — A string used to refer to the field internally. The name must be unique within an elastic template. The following fields are predefined by the API: - `fullName` - `email` - `company` - `title` - `date`
- `type` (string, optional) — The type of the field. Valid values: - `STRING` - `NUMBER` - `DATE`

### UserAgreementResponseDeclinedOn

The date when the user declined the most recent required agreement. This property is valid only when `status` is `declined`. Otherwise it is null.

### document

Information about a document.

- `documentBase64` (string, optional) — The base64-encoded contents of the document.
- `documentDisplay` (string, optional) — Display type: link or document
- `documentHtml` (string, optional) — The HTML representation of the document.
- `documentName` (string, optional) — The name of the document.
- `fileExtension` (string, optional) — The file extension of the document.
- `mustRead` (boolean, optional) — **True** if the user needs to scroll to the end of the document.
- `mustView` (boolean, optional) — Reserved for Docusign.
- `order` (integer, optional) — The order of document layout.

### displaySettings

Information about how an agreement is displayed.

- `actionButtonAlignment` (string, optional) — Position of the Accept button in the agreement. One of - `right` - `left`
- `allowClientOnly` (boolean, optional) — When **true,** this agreement can be be used in client-only integrations.
- `allowedHosts` (list of string, optional) — Hosts that can host the elastic template. It is an error if the elastic template didn't come from one of these hosts.
- `brandId` (string, optional) — The signing brand ID.
- `consentButtonText` (string, optional) — Text on the agree button.
- `consentText` (string, optional) — The text on agree button.
- `declineButtonText` (string, optional) — The text on the decline button.
- `displayName` (string, optional) — The display name of the user agreement.
- `documentDisplay` (string, optional) — Display type: link or document
- `downloadable` (boolean, optional) — **True** if the agreement is downloadable.
- `format` (string, optional) — Display format: inline or modal.
- `hasDeclineButton` (boolean, optional) — **True** if the agreement has a decline checkbox.
- `mustRead` (boolean, optional) — **True** if the user needs to scroll to the end of the document.
- `mustView` (boolean, optional) — Reserved for Docusign.
- `recordDeclineResponses` (boolean, optional) — When **true,** this agreement records decline actions.
- `requireAccept` (boolean, optional) — **True** if accept is required.
- `sendToEmail` (boolean, optional) — **True** if send to email is applicable.
- `statementAlignment` (string, optional) — Position of the agreement statement. One of - `top` - `bottom`

### UserAgreementResponseStyle

This property specifies the custom style provided when the agreement was created by [customizing the template appearance][]. [customizing the template appearance]: /docs/click-api/click101/customize-elastic-template-appearance/

- `agreeButton` (AgreeButtonStyles, optional) — Sets the display of the Agree button.
- `agreementStatement` (AgreementStatementStyles, optional) — Sets the display of the agreement statement.
- `container` (ContainerStyles, optional) — Sets the overall clickwrap container and inherited styles such as font.
- `disclosureLink` (DisclosureLinkStyles, optional) — Sets the display of the disclosure link.
- `documentLink` (DocumentLinkStyles, optional) — Sets the display of the agreement statement.
- `header` (HeaderStyles, optional) — Sets the display of the header.
- `scrollControl` (enum, optional) — Control the scrolling of the document either by browser or by a scrollbar in the clickwrap shell. Can only be applied if the clickwrap `format` is `inline`.
  - Allowed values: `browser`, `fill_parent`

### AgreeButtonStyles

Sets the display of the Agree button.

- `:disabled` (BaseAgreeButtonStyles, optional)
- `:focus` (BaseAgreeButtonStyles, optional)
- `:hover` (BaseAgreeButtonStyles, optional)
- `backgroundColor` (string, optional) — The background color of the element.
- `border` (string, optional) — Sets the border of the element.
- `borderColor` (string, optional) — The border color of the element.
- `borderRadius` (string, optional) — The border radius of the element.
- `borderStyle` (string, optional) — The border style of the element.
- `borderWidth` (string, optional) — The border width of the element.
- `boxShadow` (string, optional) — Sets the display of the box shadow of the agree button.
- `color` (string, optional) — The foreground color of the element.
- `fontFamily` (string, optional) — The font family of the text.
- `fontSize` (string, optional) — The font size of the text.
- `fontStyle` (string, optional) — The font style of the text.
- `fontWeight` (AgreeButtonStylesFontWeight, optional) — The font weight of the text.
- `height` (string, optional) — The height of the agree button.
- `margin` (string, optional) — Sets the margin of the element.
- `opacity` (string, optional) — The opacity of the element.
- `outline` (string, optional) — Sets the outline of the element
- `outlineOffset` (string, optional) — Conrol the outline offset of the element
- `padding` (string, optional) — The padding of the element.
- `width` (string, optional) — The width of the agree button.

### AgreementStatementStyles

Sets the display of the agreement statement.

- `color` (string, optional) — The foreground color of the element.
- `display` (enum, optional) — Sets the display of the header. Can only be set to `none` over the default for hiding purposes.
  - Allowed values: `none`
- `fontFamily` (string, optional) — The font family of the text.
- `fontSize` (string, optional) — The font size of the text.
- `fontStyle` (string, optional) — The font style of the text.
- `fontWeight` (AgreementStatementStylesFontWeight, optional) — The font weight of the text.

### ContainerStyles

Sets the overall clickwrap container and inherited styles such as font.

- `backgroundColor` (string, optional) — The background color. This value cannot be set to `transparent` or `none`.
- `borderColor` (string, optional) — The border color of the clickwrap's surrounding container.
- `borderRadius` (string, optional) — The border radius of the clickwrap's surrounding container.
- `borderStyle` (string, optional) — The border style of the clickwrap's surrounding container.
- `borderWidth` (string, optional) — The border width of the clickwrap's surrounding container.

### DisclosureLinkStyles

Sets the display of the disclosure link.

- `display` (enum, optional) — Sets the display of the header. Can only be set to `none` over the default for hiding purposes.
  - Allowed values: `none`

### DocumentLinkStyles

Sets the display of the agreement statement.

- `:focus` (DocumentLinkStylesFocus, optional)
- `:hover` (DocumentLinkStylesHover, optional)
- `border` (string, optional) — Sets the border of the element.
- `color` (string, optional) — The foreground color of the element.
- `fontFamily` (string, optional) — The font family of the text.
- `fontSize` (string, optional) — The font size of the text.
- `fontStyle` (string, optional) — The font style of the text.
- `fontWeight` (DocumentLinkStylesFontWeight, optional) — The font weight of the text.
- `margin` (string, optional) — Sets the margin of the element.
- `padding` (string, optional) — The padding of the element.
- `textDecoration` (string, optional) — Sets the underline and other styles of the text.

### HeaderStyles

Sets the display of the header.

- `color` (string, optional) — The foreground color of the element.
- `display` (enum, optional) — Sets the display of the header. Can only be set to `none` over the default for hiding purposes.
  - Allowed values: `none`
- `fontFamily` (string, optional) — The font family of the text.
- `fontSize` (string, optional) — The font size of the text.
- `fontStyle` (string, optional) — The font style of the text.
- `fontWeight` (HeaderStylesFontWeight, optional) — The font weight of the text.
- `textDecoration` (string, optional) — Sets the underline and other styles of the text.

### BaseAgreeButtonStyles

- `backgroundColor` (string, optional) — The background color of the element.
- `border` (string, optional) — Sets the border of the element.
- `borderColor` (string, optional) — The border color of the element.
- `borderRadius` (string, optional) — The border radius of the element.
- `borderStyle` (string, optional) — The border style of the element.
- `borderWidth` (string, optional) — The border width of the element.
- `boxShadow` (string, optional) — Sets the display of the box shadow of the agree button.
- `color` (string, optional) — The foreground color of the element.
- `fontFamily` (string, optional) — The font family of the text.
- `fontSize` (string, optional) — The font size of the text.
- `fontStyle` (string, optional) — The font style of the text.
- `fontWeight` (BaseAgreeButtonStylesFontWeight, optional) — The font weight of the text.
- `height` (string, optional) — The height of the agree button.
- `margin` (string, optional) — Sets the margin of the element.
- `opacity` (string, optional) — The opacity of the element.
- `outline` (string, optional) — Sets the outline of the element
- `outlineOffset` (string, optional) — Conrol the outline offset of the element
- `padding` (string, optional) — The padding of the element.
- `width` (string, optional) — The width of the agree button.

### AgreeButtonStylesFontWeight

The font weight of the text.

- list of AgreeButtonStylesFontWeightOneOf0Items
- list of enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

### AgreementStatementStylesFontWeight

The font weight of the text.

- list of AgreementStatementStylesFontWeightOneOf0Items
- list of enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

### DocumentLinkStylesFocus

- `border` (string, optional) — Control the border of the element.
- `color` (string, optional) — Control the fore-ground color of the element.
- `fontFamily` (string, optional) — Control the font family of the text.
- `fontSize` (string, optional) — Control the font size of the text.
- `fontStyle` (string, optional) — Control the font style of the text.
- `fontWeight` (DocumentLinkStylesFocusFontWeight, optional) — Control the font weight of the text.
- `margin` (string, optional) — Control the margin of the element.
- `padding` (string, optional) — Control the padding of the element.
- `textDecoration` (string, optional) — Control the underline and other styles of the text.

### DocumentLinkStylesHover

- `border` (string, optional) — Control the border of the element.
- `color` (string, optional) — Control the fore-ground color of the element.
- `fontFamily` (string, optional) — Control the font family of the text.
- `fontSize` (string, optional) — Control the font size of the text.
- `fontStyle` (string, optional) — Control the font style of the text.
- `fontWeight` (DocumentLinkStylesHoverFontWeight, optional) — Control the font weight of the text.
- `margin` (string, optional) — Control the margin of the element.
- `padding` (string, optional) — Control the padding of the element.
- `textDecoration` (string, optional) — Control the underline and other styles of the text.

### DocumentLinkStylesFontWeight

The font weight of the text.

- list of DocumentLinkStylesFontWeightOneOf0Items
- list of enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

### HeaderStylesFontWeight

The font weight of the text.

- list of HeaderStylesFontWeightOneOf0Items
- list of enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

### BaseAgreeButtonStylesFontWeight

The font weight of the text.

- list of BaseAgreeButtonStylesFontWeightOneOf0Items
- list of enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

### AgreeButtonStylesFontWeightOneOf0Items

- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

### AgreementStatementStylesFontWeightOneOf0Items

- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

### DocumentLinkStylesFocusFontWeight

Control the font weight of the text.

- list of DocumentLinkStylesFocusFontWeightOneOf0Items
- list of enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

### DocumentLinkStylesHoverFontWeight

Control the font weight of the text.

- list of DocumentLinkStylesHoverFontWeightOneOf0Items
- list of enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

### DocumentLinkStylesFontWeightOneOf0Items

- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

### HeaderStylesFontWeightOneOf0Items

- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

### BaseAgreeButtonStylesFontWeightOneOf0Items

- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

### DocumentLinkStylesFocusFontWeightOneOf0Items

- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

### DocumentLinkStylesHoverFontWeightOneOf0Items

- enum
  - Allowed values: `-moz-initial`, `bold`, `bolder`, `inherit`, `initial`, `lighter`, `normal`, `revert`, `unset`
- double

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "accountId": "string",
  "agreedOn": {},
  "agreementId": "string",
  "agreementUrl": "string",
  "clickwrapId": "string",
  "clientUserId": "string",
  "consumerDisclosureEnabled": true,
  "consumerDisclosureHtml": "string",
  "createdOn": {},
  "dataFields": [
    {
      "label": "string",
      "name": "string",
      "type": "string"
    }
  ],
  "declinedOn": {},
  "documentData": {},
  "documents": [
    {
      "documentBase64": "string",
      "documentDisplay": "string",
      "documentHtml": "string",
      "documentName": "string",
      "fileExtension": "string",
      "mustRead": true,
      "mustView": true,
      "order": 1
    }
  ],
  "metadata": "string",
  "returnUrl": "string",
  "settings": {
    "actionButtonAlignment": "string",
    "allowClientOnly": true,
    "allowedHosts": [
      "string"
    ],
    "brandId": "string",
    "consentButtonText": "string",
    "consentText": "string",
    "declineButtonText": "string",
    "displayName": "string",
    "documentDisplay": "string",
    "downloadable": true,
    "format": "string",
    "hasDeclineButton": true,
    "mustRead": true,
    "mustView": true,
    "recordDeclineResponses": true,
    "requireAccept": true,
    "sendToEmail": true,
    "statementAlignment": "string"
  },
  "status": "string",
  "style": {
    "agreeButton": {
      ":disabled": {
        "backgroundColor": "string",
        "border": "string",
        "borderColor": "string",
        "borderRadius": "string",
        "borderStyle": "string",
        "borderWidth": "string",
        "boxShadow": "string",
        "color": "string",
        "fontFamily": "string",
        "fontSize": "string",
        "fontStyle": "string",
        "fontWeight": [
          "-moz-initial"
        ],
        "height": "string",
        "margin": "string",
        "opacity": "string",
        "outline": "string",
        "outlineOffset": "string",
        "padding": "string",
        "width": "string"
      },
      ":focus": {
        "backgroundColor": "string",
        "border": "string",
        "borderColor": "string",
        "borderRadius": "string",
        "borderStyle": "string",
        "borderWidth": "string",
        "boxShadow": "string",
        "color": "string",
        "fontFamily": "string",
        "fontSize": "string",
        "fontStyle": "string",
        "fontWeight": [
          "-moz-initial"
        ],
        "height": "string",
        "margin": "string",
        "opacity": "string",
        "outline": "string",
        "outlineOffset": "string",
        "padding": "string",
        "width": "string"
      },
      ":hover": {
        "backgroundColor": "string",
        "border": "string",
        "borderColor": "string",
        "borderRadius": "string",
        "borderStyle": "string",
        "borderWidth": "string",
        "boxShadow": "string",
        "color": "string",
        "fontFamily": "string",
        "fontSize": "string",
        "fontStyle": "string",
        "fontWeight": [
          "-moz-initial"
        ],
        "height": "string",
        "margin": "string",
        "opacity": "string",
        "outline": "string",
        "outlineOffset": "string",
        "padding": "string",
        "width": "string"
      },
      "backgroundColor": "string",
      "border": "string",
      "borderColor": "string",
      "borderRadius": "string",
      "borderStyle": "string",
      "borderWidth": "string",
      "boxShadow": "string",
      "color": "string",
      "fontFamily": "string",
      "fontSize": "string",
      "fontStyle": "string",
      "fontWeight": [
        "-moz-initial"
      ],
      "height": "string",
      "margin": "string",
      "opacity": "string",
      "outline": "string",
      "outlineOffset": "string",
      "padding": "string",
      "width": "string"
    },
    "agreementStatement": {
      "color": "string",
      "display": "none",
      "fontFamily": "string",
      "fontSize": "string",
      "fontStyle": "string",
      "fontWeight": [
        "-moz-initial"
      ]
    },
    "container": {
      "backgroundColor": "string",
      "borderColor": "string",
      "borderRadius": "string",
      "borderStyle": "string",
      "borderWidth": "string"
    },
    "disclosureLink": {
      "display": "none"
    },
    "documentLink": {
      ":focus": {
        "border": "string",
        "color": "string",
        "fontFamily": "string",
        "fontSize": "string",
        "fontStyle": "string",
        "fontWeight": [
          "-moz-initial"
        ],
        "margin": "string",
        "padding": "string",
        "textDecoration": "string"
      },
      ":hover": {
        "border": "string",
        "color": "string",
        "fontFamily": "string",
        "fontSize": "string",
        "fontStyle": "string",
        "fontWeight": [
          "-moz-initial"
        ],
        "margin": "string",
        "padding": "string",
        "textDecoration": "string"
      },
      "border": "string",
      "color": "string",
      "fontFamily": "string",
      "fontSize": "string",
      "fontStyle": "string",
      "fontWeight": [
        "-moz-initial"
      ],
      "margin": "string",
      "padding": "string",
      "textDecoration": "string"
    },
    "header": {
      "color": "string",
      "display": "none",
      "fontFamily": "string",
      "fontSize": "string",
      "fontStyle": "string",
      "fontWeight": [
        "-moz-initial"
      ],
      "textDecoration": "string"
    },
    "scrollControl": "browser"
  },
  "version": "string",
  "versionId": "string",
  "versionNumber": 1
}
```